Bug 1997815 - CVE-2021-38714 plib: integer overflow could lead to arbitrary code execution [fedora-all]
Summary: CVE-2021-38714 plib: integer overflow could lead to arbitrary code execution ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plib
Version: 34
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-38714
TreeView+ depends on / blocked
 
Reported: 2021-08-25 20:38 UTC by Michael Kaplan
Modified: 2022-05-25 01:28 UTC (History)
3 users (show)

Fixed In Version: plib-1.8.5-30.fc37 plib-1.8.5-30.fc36 plib-1.8.5-30.fc35 plib-1.8.5-30.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-13 21:12:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Michael Kaplan 2021-08-25 20:38:02 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2021-08-25 20:38:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1997814,1997815

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Ben Cotton 2022-05-12 15:29:20 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 Fedora Update System 2022-05-13 21:09:58 UTC
FEDORA-2022-89c22f2ea9 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-89c22f2ea9

Comment 4 Fedora Update System 2022-05-13 21:12:20 UTC
FEDORA-2022-89c22f2ea9 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2022-05-16 08:27:14 UTC
FEDORA-2022-bcc0df5180 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-bcc0df5180

Comment 6 Fedora Update System 2022-05-16 08:27:51 UTC
FEDORA-2022-1cf3c9578f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1cf3c9578f

Comment 7 Fedora Update System 2022-05-16 08:28:53 UTC
FEDORA-2022-08022e9452 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-08022e9452

Comment 8 Fedora Update System 2022-05-17 01:15:30 UTC
FEDORA-2022-08022e9452 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-08022e9452`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-08022e9452

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-05-17 02:31:26 UTC
FEDORA-2022-bcc0df5180 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-bcc0df5180`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-bcc0df5180

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-05-17 02:35:57 UTC
FEDORA-2022-1cf3c9578f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-1cf3c9578f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1cf3c9578f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-05-25 01:04:10 UTC
FEDORA-2022-08022e9452 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-05-25 01:24:03 UTC
FEDORA-2022-bcc0df5180 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-05-25 01:28:39 UTC
FEDORA-2022-1cf3c9578f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.